org.apache.lucene.index

## Class MultiDocValues.OrdinalMap

- java.lang.Object
- - org.apache.lucene.index.MultiDocValues.OrdinalMap

Enclosing class:
  MultiDocValues

    public static class MultiDocValues.OrdinalMap
    extends Object

maps per-segment ordinals to/from global ordinal space

### Constructor Summary

Constructors
Constructor and Description
`MultiDocValues.OrdinalMap(Object owner, TermsEnum[] subs)` Creates an ordinal map that allows mapping ords to/from a merged space from `subs`.

### Method Summary

Methods
`long` `getGlobalOrd(int subIndex, long segmentOrd)` Given a segment number and segment ordinal, returns the corresponding global ordinal.
`int` `getSegmentNumber(long globalOrd)` Given a global ordinal, returns the index of the first sub that contains this term.
`long` `getSegmentOrd(int subIndex, long globalOrd)` Given a segment number and global ordinal, returns the corresponding segment ordinal.
`long` `getValueCount()` Returns the total number of unique terms in global ord space.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiDocValues.OrdinalMap

    public MultiDocValues.OrdinalMap(Object owner,
                             TermsEnum[] subs)
                              throws IOException

Creates an ordinal map that allows mapping ords to/from a merged space from `subs`.

Parameters:
  `owner` - a cache key
  `subs` - TermsEnums that support `TermsEnum.ord()`. They need not be dense (e.g. can be FilteredTermsEnums}.
Throws:
  `IOException` - if an I/O error occurred.

### Method Detail

#### getGlobalOrd

    public long getGlobalOrd(int subIndex,
                    long segmentOrd)

Given a segment number and segment ordinal, returns the corresponding global ordinal.

#### getSegmentOrd

    public long getSegmentOrd(int subIndex,
                     long globalOrd)

Given a segment number and global ordinal, returns the corresponding segment ordinal.

#### getSegmentNumber

    public int getSegmentNumber(long globalOrd)

Given a global ordinal, returns the index of the first sub that contains this term.

#### getValueCount

    public long getValueCount()

Returns the total number of unique terms in global ord space.